import request from '@/utils/request'

// 查询论文列表
export function listThesis(query) {
    return request({
        url: '/vr/thesis/pageList',
        method: 'get',
        params: query
    })
}

// 查询论文详细
export function getThesis(id) {
    return request({
        url: '/vr/thesis/' + id,
        method: 'get'
    })
}

// 新增论文
export function addThesis(data) {
    return request({
        url: '/vr/thesis',
        method: 'post',
        data: data
    })
}

// 修改论文
export function updateThesis(data) {
    return request({
        url: '/vr/thesis',
        method: 'put',
        data: data
    })
}

// 删除论文
export function delThesis(id) {
    return request({
        url: '/vr/thesis/' + id,
        method: 'delete'
    })
}
